# A user's email address may not be unique if they use different
# single-sign-on providers with the same email address.
# But the combination of the email address and the (SSO)
# provider should be unique.
class ChangeUsersUniqueIndexToUidProvider < ActiveRecord::Migration[5.0]
  def change
    remove_index 'users', 'email'
    add_index 'users', ["email", "provider"], :unique => true
  end
end
